<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
include 'dbconfig.php';
if(isset($_SERVER['HTTP_ORIGIN'])) {
        header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
        header('Access-Control-Allow-Credentials: true');
        header('Access-Control-Max-Age: 86400');    // cache for 1 day
}
// Access-Control headers are received during OPTIONS requests
if($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
            header("Access-Control-Allow-Methods: GET, POST, OPTIONS");         

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
            header("Access-Control-Allow-Headers:        {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

        exit(0);
}

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
} 
$json = json_decode(file_get_contents('php://input'), true);
$name= $json['name'];
$mobile= $json['mobile'];
$email= $json['email'];
$password= sha1($json['password']);
$sql = "SELECT * FROM customers WHERE mobile_number='$mobile'";
$result = $conn->query($sql);
$result1 = $conn->query("SELECT * FROM customers WHERE email_id='$email'");
if(mysqli_num_rows($result)!=0){
$responseData = array('success'=>'0','message'=>"Mobile Number Already Exists");
$data = array('data' => $responseData );
echo json_encode( $data);   
}else if(mysqli_num_rows($result1)!=0){
$responseData = array('success'=>'0','message'=>"Email Id Already Exists");
$data = array('data' => $responseData );
echo json_encode( $data);   
}else{
$ins="INSERT INTO customers SET name='$name',mobile_number='$mobile',email_id='$email',password='$password'";
$ins_result=$conn->query($ins);
$responseData = array('success'=>'1','message'=>"success");
$data = array('data' => $responseData );
echo json_encode( $data);      
}
?>